{% block swag_guided_shopping_presentation_detail %}
    <sw-page class="swag-guided-shopping-presentation-detail">

        {% block swag_guided_shopping_presentation_header %}
            <template #smart-bar-header>
                <h2 v-if="!presentation._isNew">{{ placeholder(presentation, 'name') }}</h2>
                <h2 v-else>{{ $tc('swag-guided-shopping-presentation.detail.textHeadline') }}</h2>
            </template>
        {% endblock %}

        <template #language-switch>
            <sw-language-switch
                :disabled="!presentationId"
                @on-change="onChangeLanguage"
            >
            </sw-language-switch>
        </template>

        {% block swag_guided_shopping_presentation_actions %}
            <template #smart-bar-actions>
                <sw-button :routerLink="{ name: 'swag.guided.shopping.presentation.index' }">
                    {{ $tc('swag-guided-shopping-presentation.admin.buttons.cancel') }}
                </sw-button>
                <sw-button-process
                        :isLoading="isLoading"
                        :processSuccess="isSaveSuccessful"
                        variant="primary"
                        :disabled="!acl.can('guided_shopping_presentation.creator') && !acl.can('guided_shopping_presentation.editor')"
                        @update:processSuccess="saveFinish"
                        @click="onSave">
                    {{ $tc('swag-guided-shopping-presentation.admin.buttons.save') }}
                </sw-button-process>
            </template>
        {% endblock %}

        {% block swag_guided_shopping_presentation_search_bar %}
            <template #search-bar>
                <sw-search-bar
                        initialSearchType="guided_shopping_presentation"
                        :initialSearch="term"
                        typeSearchAlwaysInContainer
                        ref="searchBar"
                        :placeholder="$tc('swag-guided-shopping-presentation.general.placeholderSearchBar')"
                        @search="onSearch">
                </sw-search-bar>
            </template>
        {% endblock %}

        {% block swag_guided_shopping_presentation_content %}
            <template #content>

                {% block swag_guided_shopping_presentation_content %}
                    <sw-card-view class="swag-guided-shopping-presentation-view">

                        {% block swag_guided_shopping_presentation_view_language_info %}
                            <sw-language-info
                                :entity-description="placeholder(presentation, 'name', $tc('swag-guided-shopping-presentation.detail.textHeadline'))"
                                :is-new-entity="!presentationId"
                            >
                            </sw-language-info>
                        {% endblock %}

                        {% block swag_guided_shopping_presentation_view_notification %}
                            <sw-alert
                                v-if="presentation?._isNew"
                                class="sw-card swag-guided-shopping-presentation__notification"
                                variant="info"
                            >
                                {{ $tc('swag-guided-shopping-presentation.base.general.processNotification') }}
                            </sw-alert>
                        {% endblock %}

                        {% block swag_guided_shopping_presentation_view_tabs %}
                            <sw-tabs
                                class="swag-guided-shopping-customer-detail-page__tabs"
                                position-identifier="swag-guided-shopping-customer-detail-page__tabs"
                                v-if="!isLoading && presentation && !presentation._isNew"
                            >
                                {% block swag_guided_shopping_presentation_view_tabs_general %}
                                    <sw-tabs-item
                                            class="swag-guided-shopping-presentation-detail__tab-base"
                                            :route="{ name: 'swag.guided.shopping.presentation.detail.base', params: { id: $route.params.id } }"
                                            :title="$tc('swag-guided-shopping-presentation.view.general')">
                                        {{ $tc('swag-guided-shopping-presentation.view.general') }}
                                    </sw-tabs-item>
                                {% endblock %}

                                {% block swag_guided_shopping_presentation_view_tabs_cms %}
                                    <sw-tabs-item
                                            class="swag-guided-shopping-presentation-detail__tab-cms"
                                            v-if="acl.can('guided_shopping_presentation.editor')"
                                            :route="{ name: 'swag.guided.shopping.presentation.detail.cms', params: { id: $route.params.id } }"
                                            :title="$tc('swag-guided-shopping-presentation.view.cms')">
                                        {{ $tc('swag-guided-shopping-presentation.view.cms') }}
                                    </sw-tabs-item>
                                {% endblock %}
                            </sw-tabs>
                        {% endblock %}

                        {% block swag_guided_shopping_presentation_view_content %}
                            <router-view :isLoading="isLoading"></router-view>
                        {% endblock %}
                    </sw-card-view>

                {% endblock %}

{#                {% block swag_guided_shopping_presentation_content_loader %}#}
{#                    <sw-loader v-if="isLoading"#}
{#                               class="swag-guided-shopping-presentation-detail__content-loader"></sw-loader>#}
{#                {% endblock %}#}
            </template>
        {% endblock %}
    </sw-page>
{% endblock %}
